## permute 0.6-1

=== DESCRIPTION ===
Package: permute
Title: Functions for generating restricted permutations of data
Version: 0.6-1
Date: $Date: 2011-09-07 09:55:33 +0100 (Wed, 07 Sep 2011) $
Author: Gavin L. Simpson
Maintainer: Gavin L. Simpson <gavin.simpson@ucl.ac.uk>
Suggests: vegan, testthat (>= 0.5)
Description: The 'permute' package implements a set of restricted
        permutation designsfor freely exchangeable, line transects
        (time series), and spatial grid designs plus permutation of
        blocks (groups of samples). 'permute' also allows split-plot
        designs, in which the whole-plots or split-plots or both can be
        freely-exchangeble or one of the restricted designs.
License: GPL-2
URL: http://vegan.r-forge.r-project.org/
Packaged: 2011-09-07 19:47:10 UTC; gavin
Repository: CRAN
Date/Publication: 2011-09-08 04:11:16

## permute 0.6-2

=== DESCRIPTION ===
Package: permute
Title: Functions for generating restricted permutations of data
Version: 0.6-2
Date: $Date: 2011-09-09 22:00:51 +0100 (Fri, 09 Sep 2011) $
Author: Gavin L. Simpson
Maintainer: Gavin L. Simpson <gavin.simpson@ucl.ac.uk>
Suggests: vegan (>= 2.0-0), testthat (>= 0.5)
Description: The 'permute' package implements a set of restricted
        permutation designsfor freely exchangeable, line transects
        (time series), and spatial grid designs plus permutation of
        blocks (groups of samples). 'permute' also allows split-plot
        designs, in which the whole-plots or split-plots or both can be
        freely-exchangeble or one of the restricted designs.
License: GPL-2
URL: http://vegan.r-forge.r-project.org/
Packaged: 2011-09-27 21:20:07 UTC; gavin
Repository: CRAN
Date/Publication: 2011-09-28 13:47:40

## permute 0.6-3

=== DESCRIPTION ===
Package: permute
Title: Functions for generating restricted permutations of data
Version: 0.6-3
Date: $Date: 2011-11-01 14:10:58 +0000 (Tue, 01 Nov 2011) $
Author: Gavin L. Simpson
Maintainer: Gavin L. Simpson <gavin.simpson@ucl.ac.uk>
Suggests: vegan (>= 2.0-0), testthat (>= 0.5)
Description: The 'permute' package implements a set of restricted permutation designsfor freely exchangeable, line transects (time series), and spatial grid designs plus permutation of blocks (groups of samples). 'permute' also allows split-plot designs, in which the whole-plots or split-plots or both can be freely-exchangeble or one of the restricted designs. The 'permute' package is modelled after the permutation schemes of Canoco 3.1 by Cajo ter Braak.
License: GPL-2
URL: http://vegan.r-forge.r-project.org/
Packaged: 2011-11-01 15:36:56 UTC; gavin
Repository: CRAN
Date/Publication: 2011-11-02 17:26:12

## permute 0.7

=== DESCRIPTION ===
Package: permute
Title: Functions for generating restricted permutations of data
Version: 0.7-0
Date: $Date: 2012-02-09 12:46:33 +0000 (Thu, 09 Feb 2012) $
Author: Gavin L. Simpson
Maintainer: Gavin L. Simpson <gavin.simpson@ucl.ac.uk>
Suggests: vegan (>= 2.0-0), testthat (>= 0.5)
Description: The 'permute' package implements a set of restricted
        permutation designsfor freely exchangeable, line transects
        (time series), and spatial grid designs plus permutation of
        blocks (groups of samples). 'permute' also allows split-plot
        designs, in which the whole-plots or split-plots or both can be
        freely-exchangeble or one of the restricted designs. The
        'permute' package is modelled after the permutation schemes of
        Canoco 3.1 by Cajo ter Braak.
License: GPL-2
ByteCompile: true
URL: http://vegan.r-forge.r-project.org/
Packaged: 2012-04-04 20:14:25 UTC; gavin
Repository: CRAN
Date/Publication: 2012-04-05 05:38:59

## permute 0.8

=== DESCRIPTION ===
Package: permute
Title: Functions for generating restricted permutations of data
Version: 0.8-3
Date: $Date$
Authors@R: c(person(given = "Gavin L.", family = "Simpson",
                    email = "ucfagls@gmail.com",
                    role = c("aut", "cph", "cre")),
             person(given = "R Core Team", role = "cph"),
             person(given = "Douglas M.", family = "Bates", role = "ctb"),
             person(given = "Jari", family = "Oksanen", role = "ctb"))
Depends: R (>= 2.14.0)
Suggests: vegan (>= 2.0-0), testthat (>= 0.5), parallel
Description: The 'permute' package implements a set of restricted permutation designs for freely exchangeable, line transects (time series), and spatial grid designs plus permutation of blocks (groups of samples). 'permute' also allows split-plot designs, in which the whole-plots or split-plots or both can be freely-exchangeable or one of the restricted designs. The 'permute' package is modelled after the permutation schemes of Canoco 3.1 (and later) by Cajo ter Braak.
License: GPL-2
ByteCompile: true
URL: http://vegan.r-forge.r-project.org/
Copyright: see file COPYRIGHTS
Author: Gavin L. Simpson [aut, cph, cre],
  R Core Team [cph],
  Douglas M. Bates [ctb],
  Jari Oksanen [ctb]
Maintainer: Gavin L. Simpson <ucfagls@gmail.com>
Repository: CRAN
Repository/R-Forge/Project: vegan
Repository/R-Forge/Revision: 2847
Repository/R-Forge/DateTimeStamp: 2014-01-28 04:02:29
Date/Publication: 2014-01-29 21:24:58
Packaged: 2014-01-28 07:15:34 UTC; rforge
NeedsCompilation: no

## permute 0.8-0

=== debian/changelog ===
permute (0.8-0-1) unstable; urgency=low

  [ Charles Plessy ]
  * debian/control: removed myself from Uploaders. 

  [ Andreas Tille ]
  * New upstream version
  * debian/control:
     - Added myself to Uploaders
     - cme fix dpkg-control
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2014 11:06:18 +0100

permute (0.7-0-2) unstable; urgency=low

  c2e9ac7 Normalised VCS URLs following Lintian's standard.
  10d9eb3 Removed obsolete DM-Upload-Allowed field.
  3876041 Normalised with 'cme fix dpkg-control'.
  69a5afb Using Debhelper 9.
  612ef1a Conforms with Policy 3.9.4.

 -- Charles Plessy <plessy@debian.org>  Thu, 04 Apr 2013 14:30:11 +0900

permute (0.7-0-1) unstable; urgency=low

  069836c Imported Upstream version 0.7-0
  1e69ec9 No new license or copyright statement in the new upstream release.
  d08703b Attempt to summarise Permute's license.
  bb492c0 Conforms to Policy 3.9.3.
  b79e8d9 Obtain ${R:Depends} directly throuhg r-base-dev.

 -- Charles Plessy <plessy@debian.org>  Mon, 14 May 2012 13:13:37 +0900

permute (0.6-3-1) unstable; urgency=low

  dbb6472 Initial release for Debian (Closes: #659689).

 -- Charles Plessy <plessy@debian.org>  Tue, 14 Feb 2012 19:16:34 +0900

permute (0.6-3-0~natty1) natty; urgency=low

  1012056 Pre-release for natty on Debian Med PPA.

 -- Charles Plessy <plessy@debian.org>  Thu, 17 Nov 2011 17:09:47 +0900

=== debian/control ===
Source: permute
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/permute.git
Vcs-Git: git://anonscm.debian.org/debian-med/permute.git
Homepage: http://cran.r-project.org/web/packages/permute

Package: r-cran-permute
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Suggests: r-cran-vegan,
          r-cran-testthat
Description: R functions for generating restricted permutations of data
 Implements a set of restricted permutation designs for freely exchangeable,
 line transects (time series), and spatial grid designs plus permutation of
 blocks (groups of samples). ‘permute’ also allows split-plot designs, in which
 the whole-plots or split-plots or both can be freely-exchangeble or one of the
 restricted designs. The permute package is modelled after the permutation
 schemes of Canoco 3.1 by Cajo ter Braak.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_BUILDDEB_ARGS = -- -Z xz

include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/permute_([\d.-]*)\.tar.gz

## permute 0.8-3

=== debian/changelog ===
permute (0.8-3-1) unstable; urgency=medium

  * New upstream version
  * Bump r-cran-vegan and r-cran-testthat from Suggests to Recommends
    since both are available now
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 01 Jul 2014 17:40:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
+Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev
@@ -15,7 +16,7 @@
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends}
-Suggests: r-cran-vegan,
+Recommends: r-cran-vegan,
           r-cran-testthat
 Description: R functions for generating restricted permutations of data
  Implements a set of restricted permutation designs for freely exchangeable,

## permute 0.8-4

=== DESCRIPTION ===
Package: permute
Title: Functions for Generating Restricted Permutations of Data
Version: 0.8-4
Date: 2015-05-19
Authors@R: c(person(given = "Gavin L.", family = "Simpson",
                    email = "ucfagls@gmail.com",
                    role = c("aut", "cph", "cre")),
             person(given = "R Core Team", role = "cph"),
             person(given = "Douglas M.", family = "Bates", role = "ctb"),
             person(given = "Jari", family = "Oksanen", role = "ctb"))
Depends: R (>= 2.14.0)
Suggests: vegan (>= 2.0-0), testthat (>= 0.5), parallel
Description: A set of restricted permutation designs for freely exchangeable, line transects (time series), and spatial grid designs plus permutation of blocks (groups of samples) is provided. 'permute' also allows split-plot designs, in which the whole-plots or split-plots or both can be freely-exchangeable or one of the restricted designs. The 'permute' package is modelled after the permutation schemes of 'Canoco 3.1' (and later) by Cajo ter Braak.
License: GPL-2
ByteCompile: true
URL: https://github.com/gavinsimpson/permute
BugReports: https://github.com/gavinsimpson/permute/issues
Copyright: see file COPYRIGHTS
NeedsCompilation: no
Packaged: 2015-05-19 20:31:48.464 UTC; gavin
Author: Gavin L. Simpson [aut, cph, cre],
  R Core Team [cph],
  Douglas M. Bates [ctb],
  Jari Oksanen [ctb]
Maintainer: Gavin L. Simpson <ucfagls@gmail.com>
Repository: CRAN
Date/Publication: 2015-05-19 23:55:53

## permute 0.9-0

=== DESCRIPTION ===
Package: permute
Title: Functions for Generating Restricted Permutations of Data
Version: 0.9-0
Date: 2016-01-24
Authors@R: c(person(given = "Gavin L.", family = "Simpson",
                    email = "ucfagls@gmail.com",
                    role = c("aut", "cph", "cre")),
             person(given = "R Core Team", role = "cph"),
             person(given = "Douglas M.", family = "Bates", role = "ctb"),
             person(given = "Jari", family = "Oksanen", role = "ctb"))
Depends: R (>= 2.14.0)
Imports: stats
Suggests: vegan (>= 2.0-0), testthat (>= 0.5), parallel
Description: A set of restricted permutation designs for freely exchangeable, line transects (time series), and spatial grid designs plus permutation of blocks (groups of samples) is provided. 'permute' also allows split-plot designs, in which the whole-plots or split-plots or both can be freely-exchangeable or one of the restricted designs. The 'permute' package is modelled after the permutation schemes of 'Canoco 3.1' (and later) by Cajo ter Braak.
License: GPL-2
ByteCompile: true
URL: https://github.com/gavinsimpson/permute
BugReports: https://github.com/gavinsimpson/permute/issues
Copyright: see file COPYRIGHTS
NeedsCompilation: no
Packaged: 2016-01-24 20:09:19 UTC; gavin
Author: Gavin L. Simpson [aut, cph, cre],
  R Core Team [cph],
  Douglas M. Bates [ctb],
  Jari Oksanen [ctb]
Maintainer: Gavin L. Simpson <ucfagls@gmail.com>
Repository: CRAN
Date/Publication: 2016-01-24 21:39:11

=== debian/changelog ===
permute (0.9-0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * fix autopkgtest
  * update d/copyright

 -- Andreas Tille <tille@debian.org>  Mon, 08 Aug 2016 09:40:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest
 Priority: optional
-Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/permute.git
-Vcs-Git: git://anonscm.debian.org/debian-med/permute.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/permute.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/permute.git
 Homepage: http://cran.r-project.org/web/packages/permute
 
 Package: r-cran-permute
@@ -17,7 +17,7 @@
 Depends: ${R:Depends},
          ${misc:Depends}
 Recommends: r-cran-vegan,
-          r-cran-testthat
+            r-cran-testthat
 Description: R functions for generating restricted permutations of data
  Implements a set of restricted permutation designs for freely exchangeable,
  line transects (time series), and spatial grid designs plus permutation of

## permute 0.9-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: permute
 Title: Functions for Generating Restricted Permutations of Data
-Version: 0.9-0
-Date: 2016-01-24
+Version: 0.9-4
+Date: 2016-08-08
 Authors@R: c(person(given = "Gavin L.", family = "Simpson",
                     email = "ucfagls@gmail.com",
                     role = c("aut", "cph", "cre")),
@@ -18,11 +18,11 @@
 BugReports: https://github.com/gavinsimpson/permute/issues
 Copyright: see file COPYRIGHTS
 NeedsCompilation: no
-Packaged: 2016-01-24 20:09:19 UTC; gavin
+Packaged: 2016-09-08 23:08:56.064 UTC; gavin
 Author: Gavin L. Simpson [aut, cph, cre],
   R Core Team [cph],
   Douglas M. Bates [ctb],
   Jari Oksanen [ctb]
 Maintainer: Gavin L. Simpson <ucfagls@gmail.com>
 Repository: CRAN
-Date/Publication: 2016-01-24 21:39:11
+Date/Publication: 2016-09-09 10:13:49

=== debian/changelog ===
permute (0.9-4-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sun, 13 Nov 2016 09:08:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               cdbs,
+               dh-r,
                r-base-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/permute.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/permute.git
-Homepage: http://cran.r-project.org/web/packages/permute
+Homepage: https://cran.r-project.org/package=permute
 
 Package: r-cran-permute
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends}
-Recommends: r-cran-vegan,
-            r-cran-testthat
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: R functions for generating restricted permutations of data
  Implements a set of restricted permutation designs for freely exchangeable,
  line transects (time series), and spatial grid designs plus permutation of

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/permute_([\d.-]*)\.tar.gz

## permute 0.9-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: permute
 Title: Functions for Generating Restricted Permutations of Data
-Version: 0.9-4
-Date: 2016-08-08
+Version: 0.9-5
+Date: 2019-03-10
 Authors@R: c(person(given = "Gavin L.", family = "Simpson",
                     email = "ucfagls@gmail.com",
-                    role = c("aut", "cph", "cre")),
+                    role = c("aut", "cph", "cre"),
+		    comment = c(ORCID = "0000-0002-9084-8413")),
              person(given = "R Core Team", role = "cph"),
              person(given = "Douglas M.", family = "Bates", role = "ctb"),
              person(given = "Jari", family = "Oksanen", role = "ctb"))
@@ -18,11 +19,12 @@
 BugReports: https://github.com/gavinsimpson/permute/issues
 Copyright: see file COPYRIGHTS
 NeedsCompilation: no
-Packaged: 2016-09-08 23:08:56.064 UTC; gavin
-Author: Gavin L. Simpson [aut, cph, cre],
+Packaged: 2019-03-10 22:40:39 UTC; gavin
+Author: Gavin L. Simpson [aut, cph, cre]
+    (<https://orcid.org/0000-0002-9084-8413>),
   R Core Team [cph],
   Douglas M. Bates [ctb],
   Jari Oksanen [ctb]
 Maintainer: Gavin L. Simpson <ucfagls@gmail.com>
 Repository: CRAN
-Date/Publication: 2016-09-09 10:13:49
+Date/Publication: 2019-03-12 09:40:08 UTC

## permute 0.9-8

=== DESCRIPTION ===
Package: permute
Title: Functions for Generating Restricted Permutations of Data
Version: 0.9-8
Date: 2025-06-25
Authors@R: c(person(given = "Gavin L.", family = "Simpson",
                    email = "ucfagls@gmail.com",
                    role = c("aut", "cph", "cre"),
		                comment = c(ORCID = "0000-0002-9084-8413")),
             person(given = "R Core Team", role = "cph"),
             person(given = "Douglas M.", family = "Bates", role = "ctb"),
             person(given = "Jari", family = "Oksanen", role = "ctb"))
Depends: R (>= 3.6.0)
Imports: stats
Suggests: vegan (>= 2.0-0), testthat (>= 0.5), parallel, knitr,
        rmarkdown, bookdown, sessioninfo
Description: A set of restricted permutation designs for freely exchangeable, line transects (time series), and spatial grid designs plus permutation of blocks (groups of samples) is provided. 'permute' also allows split-plot designs, in which the whole-plots or split-plots or both can be freely-exchangeable or one of the restricted designs. The 'permute' package is modelled after the permutation schemes of 'Canoco 3.1' (and later) by Cajo ter Braak.
License: GPL-2
ByteCompile: true
URL: https://github.com/gavinsimpson/permute
BugReports: https://github.com/gavinsimpson/permute/issues
Copyright: see file COPYRIGHTS
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2025-06-25 13:13:08 UTC; gavin
Author: Gavin L. Simpson [aut, cph, cre] (ORCID:
    <https://orcid.org/0000-0002-9084-8413>),
  R Core Team [cph],
  Douglas M. Bates [ctb],
  Jari Oksanen [ctb]
Maintainer: Gavin L. Simpson <ucfagls@gmail.com>
Repository: CRAN
Date/Publication: 2025-06-25 14:00:02 UTC

## permute 0.9-10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Package: permute
 Title: Functions for Generating Restricted Permutations of Data
-Version: 0.9-8
-Date: 2025-06-25
+Version: 0.9-10
 Authors@R: c(person(given = "Gavin L.", family = "Simpson",
                     email = "ucfagls@gmail.com",
                     role = c("aut", "cph", "cre"),
@@ -20,8 +19,9 @@
 BugReports: https://github.com/gavinsimpson/permute/issues
 Copyright: see file COPYRIGHTS
 VignetteBuilder: knitr
+Language: en-GB
 NeedsCompilation: no
-Packaged: 2025-06-25 13:13:08 UTC; gavin
+Packaged: 2026-02-06 11:02:27 UTC; gavin
 Author: Gavin L. Simpson [aut, cph, cre] (ORCID:
     <https://orcid.org/0000-0002-9084-8413>),
   R Core Team [cph],
@@ -29,4 +29,4 @@
   Jari Oksanen [ctb]
 Maintainer: Gavin L. Simpson <ucfagls@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-06-25 14:00:02 UTC
+Date/Publication: 2026-02-06 11:50:02 UTC
